<?php
/*
 * Login paraugs.
 *
 * Lai zveidotu jaunu lietotāju izmanto create_user.php
 *
 * Ja lietotājs ir ielogojies, $auth objekts satur visu infomāciju par viņu,
 * piemēram:
 * 	$auth->created - reģistrāciajs datums
 * 	$auth->username - lietotājvārds
 * Ja datubāzē pieliksi papildus laukus, $auth saturēs arī tos
 *
 * Pirms lietošanas vēlams nomainīt $salt vērtību failā lib/class.auth.php
 * uz random, tikai sev zināmu
 *
 * (c) 2012, Maadinsh, http://coding.lv/
 *
 * Izmanto pēc saviem ieskatiem :)
 *
 */

//izmantosim sesijas
session_start();

//ieladejam vajadzīgos failus
require('lib/class.mdb.php');
require('lib/class.auth.php');

//izviedo savienojumu ar datubāzi (lietotājs, parole, datubāzes nosaukums, serveris)
$db = new mdb('lietotājs', 'parole', 'datubāze', 'localhost');

$auth = new Auth($db);

//ja tiek padots post username un password, mēģinam ielogot lietotāju
if (isset($_POST['username']) && isset($_POST['password'])) {
	$auth->login($_POST['username'], $_POST['password']);
}

//izlogošanās
if (isset($_GET['logout'])) {
	$auth->logout();
	header('Location: index.php');
	exit;
}

//rādam info ja ir ielogojies, login formu, ja nav
if ($auth->id) {

	echo 'Čau, ' . $auth->username . '!<br />';
	echo 'Tavs profils izveidots ' . $auth->created . '!<br />';
	echo 'Tu te pēdējo reizi biji ' . $auth->accessed . '!<br />';
	echo '<a href="?logout">Izlogoties?</a><br />';
} else {
	?>

	<form action="" method="post">

		<?php
		if ($auth->error == 1) {
			echo '<p>Nepareizs logins un/vai parole!</p>';
		}
		?>

		login: <input type="text" name="username" />
		pass: <input type="password" name="password" />
		<input type="submit" value="login" />

	</form>
	<?php
}
?>
